/*******************************************************************************
 * NxForceFieldRadialComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class NxForceFieldRadialComponent extends NxForceFieldComponent
    native(ForceField)
    editinlinenew
    collapsecategories
    hidecategories(Collision,Lighting,Physics,Rendering,Object);

var() interp float ForceStrength;
var() interp float ForceRadius;
var() interp float SelfRotationStrength;
var() export PrimitiveComponent.ERadialImpulseFalloff ForceFalloff;
var native const transient Pointer Kernel;

defaultproperties
{
    ForceStrength=200.0
    ForceRadius=200.0
    SelfRotationStrength=200.0
    begin object name=Shape0 class=ForceFieldShapeSphere
        begin object name=DrawSphere0 class=DrawSphereComponent
            ReplacementPrimitive=none
        object end
        // Reference: DrawSphereComponent'Default__NxForceFieldRadialComponent.Shape0.DrawSphere0'
        Shape=DrawSphere0
    object end
    // Reference: ForceFieldShapeSphere'Default__NxForceFieldRadialComponent.Shape0'
    Shape=Shape0
    ReplacementPrimitive=none
}